<?php

/* number per page */
$num = array();
for($i=5; $i <= 50; $i+=5) {
	$num[] = array("$i","$i");
}

/* show threads since */
$since = array();
$since[] = array("0", Lang::getLanguageString("today"));
$since[] = array("1", Lang::getLanguageString("yesterday"));
$since[] = array("7", "1 ".Lang::getLanguageString("week"));
$since[] = array("14", "2 ".Lang::getLanguageString("weeks"));
$since[] = array("21", "3 ".Lang::getLanguageString("weeks"));
$since[] = array("30", "1 ".Lang::getLanguageString("month"));
$since[] = array("60", "2 ".Lang::getLanguageString("months"));
$since[] = array("90", "3 ".Lang::getLanguageString("months"));
$since[] = array("183", "6 ".Lang::getLanguageString("months"));
$since[] = array("365", "1 ".Lang::getLanguageString("year"));

/* settings array */
$settings["forum"] = array(
	"gensettings" => array(
        "forumgen_withmoderator" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "with_moderators",
		"description" => "with moderators",
		"type" => "int",
		"default" => "1"
        ),
        "forumgen_withsignature" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "with_signature",
		"description" => "with signatures",
		"type" => "int",
		"default" => "1"
        ),
        "forumgen_withlogos" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "with_logo",
		"description" => "with Logos",
		"type" => "int",
		"default" => "1"
        ),
        "forumgen_editownthreads" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "allow_editOwnThread",
		"description" => "if users can edit their own threads",
		"type" => "int",
		"default" => "1"
        ),
        "forumgen_withemailnotify" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "with_email_notify",
		"description" => "with email remind on new posts",
		"type" => "int",
		"default" => "1"
        ),
        "forumgen_mailsubject" => array(
        	"method" => "text",
		"name" => "mail_header",
		"size" => "",
		"description" => "subject of email",
		"type" => "str",
		"default" => "Default email subject"
        ),
        "forumgen_mailfromname" => array(
        	"method" => "text",
		"name" => "mail_sendFromName",
		"size" => "",
		"description" => "name of mail sender",
		"type" => "str",
		"default" => "Moregroupware_System"
        ),
        "forumgen_mailfromadress" => array(
        	"method" => "text",
		"name" => "mail_sendFromEmail",
		"size" => "",
		"description" => "emailadress of sender",
		"type" => "str",
		"default" => "default@someadress.com"
        ),
        "forumgen_footeremailnotice" => array(
        	"method" => "text",
		"name" => "mail_displayEmail",
		"size" => "",
		"description" => "footer information regarding email",
		"type" => "str",
		"default" => "some other email adress could be here"
        ),
        "forumgen_footerhpnotice" => array(
        	"method" => "text",
		"name" => "mail_displayUrl",
		"size" => "",
		"description" => "footer information regarding homepage",
		"type" => "str",
		"default" => "some homepage informations could be here"
        ),
        "admin" => true,
        "title" => "edit_genforum"
    ),
	"settings" => array(
    	"forum_posts_per_page" => array(
        	"method" => "select",
		"choices" => array(
            	array("name" => "", "value" => $num)), 
		"name" => "num_threads",
		"description" => "nr of posts per page in forum",
		"type" => "int",
		"default" => "5"
        ),
        "forum_replies_per_page" => array(
        	"method" => "select",
		"choices" => array(
            	array("name" => "", "value" => $num)), 
		"name" => "num_replies",
		"description" => "how many replies per page in forum",
		"type" => "int",
		"default" => "5"
        ),
        "forum_pages" => array(
        	"method" => "select",
		"choices" => array(
            	array("name" => "", "value" => $num)), 
		"name" => "num_pages",
		"description" => "nr of forum pages",
		"type" => "int",
		"default" => "5"
        ),
        "forum_threads_viewtime" => array(
        	"method" => "select",
		"choices" => array(
            	array("name" => "", "value" => $since)), 
		"name" => "threads_lastDays",
		"description" => "how many days a thread should be visible",
		"type" => "int",
		"default" => "30"
        ),
        "forum_animatedgifs" => array(
        	"method" => "radio",
		"choices" => array(
            	array("name" => "yes", "value" => "1"), 
                array("name" => "no", "value" => "0")),
		"name" => "animated_icons",
		"description" => "use animated gifs in forum",
		"type" => "int",
		"default" => "0"
        ),
        "forum_signature" => array(
        	"method" => "textarea",
		"name" => "signature",
		"size" => "",
		"description" => "your signature",
		"type" => "txt",
		"default" => "This is the default Signature"
        ),
        "forum_mylogo" => array(
        	"method" => "file",
		"name" => "logo",
		"description" => "your personal logo",
		"type" => "str",
		"default" => ""
        ),
        "title" => "edit_forum"
    )
);

?>
