<?php
$myEnv["module"] = "links";
$myEnv["output"] = "html";
$myEnv["stdsmenu"] = true;

if((isset($_POST["op"]) && ($_POST["op"] == "exportpdf")) ||
   (isset($_GET['view']) && (strstr($_GET['view'], 'vcardexport')))) session_cache_limiter("public");

include("../../config.inc.php");

include(INCLUDEPATH . "container.inc.php");

/*
require( INCLUDEPATH . "adodb/adodb-xmlschema.inc.php" );
$schema = new adoSchema( $conn );
$xml=$schema->ExtractSchema(false);
$fs=fopen("c:\essai.txt",'w+');
fwrite($fs,$xml);
fclose($fs);
die("<hr>");
*/

$smarty->assign("IndexScript", "index.php");
include("inc/global_settings.inc.php");
settype($wing, "integer");

$wingInfo = GetWingInfo($wing);

if($ACTION != "") 
	{
	include("action/$ACTION.action.php");
	}

	/* 
	** build page title 
	*/
$pageTitle = "The Link Conservatory: ";
if(($SCREEN == "stroll") && (intval($wing) > 0))
	{
//		$smarty->assign("corps",$wingInfo[wing_fulltitle]."<br />"."inc/stroll.inc.php");
		$smarty->assign("corps","inc/stroll.inc.php");
		$titre = "Strolling Through the $wing_Title Wing";
	}
elseif(($SCREEN == "add_wing") && (intval($wing) >= 0))
	{
		$smarty->assign("corps","inc/add_wing.inc.php");
		$smarty->assign("posMenu",7);
		$titre = "Adding a Wing to the Conservatory";
	}
elseif(($SCREEN == "add_item") && (intval($wing) >= 0))
	{
		$smarty->assign("corps","inc/add_item.inc.php");
		$smarty->assign("posMenu",8);
		$titre = "Adding an Item to the Collection";
	}
elseif($SCREEN == "tidy")
	{
		$smarty->assign("corps","inc/tidy.inc.php");
		$smarty->assign("posMenu",6);
		$titre = "Tidying Up";
	}
elseif($SCREEN == "move_item")
	{
		$smarty->assign("corps","inc/move_item.inc.php");
		$titre = "Re-Classification";
	}
elseif($SCREEN == "move_wing")
	{
		$smarty->assign("corps","inc/move_wing.inc.php");
		$titre = "Re-Classification";
	}
elseif($SCREEN == "edit_item")
	{
		$smarty->assign("corps","inc/edit_item.inc.php");
		$titre = "Alteration";
	}
elseif($SCREEN == "edit_wing")
	{
		$smarty->assign("corps","inc/edit_wing.inc.php");
		$titre = "Alteration";
	}
elseif($SCREEN == "search")
	{
		$smarty->assign("corps","inc/search.inc.php");
		$titre = "Searching";
	}
elseif($SCREEN == "suggest")
	{
		$smarty->assign("corps","inc/suggest.inc.php");
		$smarty->assign("posMenu",2);
		$titre = "Suggesting a Link";
	}
elseif($SCREEN == "top10")
	{
		$smarty->assign("corps","inc/top10.inc.php");
		$smarty->assign("posMenu",3);
		$titre = "Viewing 10 Most Popular Links";
	}
elseif($SCREEN == "last10")
	{
		$smarty->assign("corps","inc/last10.inc.php");
		$smarty->assign("posMenu",4);
		$titre = "Viewing 10 Newest Links";
	}
elseif($SCREEN == "random")
	{
		$smarty->assign("corps","inc/random.inc.php");
		$smarty->assign("posMenu",5);
		$titre = "Viewing 10 Random Links";
	}
elseif($SCREEN == "about")
	{
		$smarty->assign("posMenu",1);
		$smarty->assign("corps","inc/about.inc.php");
		$titre = "What IS the Link Conservatory, Anyway?";
	}
elseif($SCREEN == "linkcheck")
	{
		$titre = "Checking Links";
	}
elseif($SCREEN == "dump")
	{
		$smarty->assign("corps","inc/dump.inc.php");
		$smarty->assign("posMenu",8);
		$titre = "Dumping All Links in Printable Form";
	}
else
	{
		$SCREEN = "stroll";
		$wing = 0;
		$titre = "Standing in the Main Hall";
		$smarty->assign("corps","inc/stroll.inc.php");
	}

$smarty->assign("pageTitre",$pageTitle);
$smarty->assign("titre",$titre);

$sql = "SELECT COUNT(*) as totalItems FROM mgw_links_item ";
if(!$res = $conn->Execute($sql)) { die(showSQLerror2($sql, $conn->ErrorMsg(), __LINE__)); }
$row = $res->GetRowAssoc(false);
$smarty->assign("totalitems",$row["totalItems"]);
$smarty->assign("TheLinkConservatoryContains",$hashmap[TheLinkConservatoryContains]);
$smarty->assign("items",$hashmap[items]);
$smarty->assign("find",$hashmap[find]);
$smarty->assign("wing_fulltitle",doTitleDressing($wingInfo[wing_fulltitle]));

$smarty->display("links.tpl");
?>
