<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<?php
/******************************************************************************
 * $Id: printing.php,v 1.1 2004/04/01 11:51:34 anoncvs_devconfig Exp $
 * Datei:				index.php
 * Autoren:				Thorsten Rinne		thorsten@rinne.info
 * 						Bastian Pttner		bastian@poettner.net
 * Datum:				2002-08-29
 * Letzte nderung:		2003-09-04
 * Copyright:           (c) 2001-2003 Thorsten Rinne und Bastian Pttner
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/

error_reporting(E_ALL);
 
require ("inc/functions.php");
require ("inc/config.php");
require ("inc/data.php");
require ("inc/database.php");

$db = new db_mysql();
$db->connect($mysql_server, $mysql_user, $mysql_passwort, $mysql_db);

if (strlen($sprache) < 1 || !is_file("./lang/".$sprache)) {
	include "./lang/german.php";
	print "Die Sprachdatei wurde nicht gefunden.";
	}
else {
	include "./lang/".$sprache;
	}

if (isset($_REQUEST["id"]) && checkIntVar($_REQUEST["id"]) == TRUE) {
	$id = $_REQUEST["id"];
	}
if (isset($_REQUEST["lang"])) {
	$lang = $_REQUEST["lang"];
	}
?>
<html>
<head>
	<title><?php print $title; ?>: <?php print $msgPrinterFriendly; ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php print $metaCharset; ?>">
	<style type="text/css" media="screen"><!--
	body {
		background-color : #ffffff;
	}
	.printing {
		font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	}
	-->
	</style>
</head>
<body>
<?php
$categories = getCategories();
$output = "";
$result = $db->query("SELECT id, rubrik, thema, content, datum FROM ".$sqltblpre."faqdata WHERE id = '".$id."' AND lang = '".$lang."' AND active = 'yes'");
if ($db->num_rows($result) > 0) {
	while ($row = $db->fetch_object($result)) {
		logViews($id, $lang);
?>
<table width="670" cellspacing="1" cellpadding="5" border="0" align="center" bgcolor="#000000">
<tr bgcolor="#f5f5f5">
    <td><h3 align="center" class="printing"><?php print $categories[$row->rubrik]; ?>: <i><?php print stripslashes($row->thema); ?></i></h3></td>
</tr>
<tr bgcolor="#ffffff">
    <td class="printing">
<?php
		if ($ubbcode == "true") {
			$output .= nl2br(parseUBB($row->content));
			}
		else {
			$output .= nl2br(stripslashes(safeHTML($row->content)));
			}
		$content = preg_replace_callback("{(<pre>.*</pre>)}siU", "pre_core", $output);
        #$content = preg_replace_callback("{(<pre+.*</pre>)}siU", "pre_core", $output);
        
        print $content;
?>
	</td>
</tr>
<tr bgcolor="#f5f5f5">
    <td><div style="font-size: 11px;" class="printing"><?php print $msgLastUpdateArticle.makeDate($row->datum); ?><br />URL: <a href="http://<?php print $_SERVER["HTTP_HOST"].str_replace("printing.php", "index.php?aktion=artikel&rubrik=".$row->rubrik."&id=".$id."&lang=".$lang, $_SERVER["PHP_SELF"]); ?>" target="_blank"><?php print $_SERVER["HTTP_HOST"].str_replace("printing.php", "index.php?aktion=artikel&rubrik=".$row->rubrik."&id=".$id."&lang=".$lang, $_SERVER["PHP_SELF"]); ?></a></div><div style="font-size: 10px;" class="printing">&copy; <?php print date("Y")." ".$metaPublisher; ?> | <a href="mailto:<?php print safeEmail($adminmail); ?>"><?php print safeEmail($adminmail); ?></a></div></td>
</tr>
</table>
<?php
		}
	}
else {
	print $err_badID;
	}
?>
<p align="center" class="printing"><b><a href="javascript:self.print()"><?php print $msgPrintArticle; ?></a></b></p>
</body>
</html>
