<?php
/*
This file is part of Thomas Bley's moregroupware webmail2/calendar2/admin2 module. (tb-mgw)

More information:
-----------------

Simple Groupware Solutions Thomas Bley
Fichtenstr. 23
Germany, 85640 Putzbrunn

Contact:
--------

info@simple-groupware.de

http://www.simple-groupware.de


Copyright 2002-2003 Thomas Bley
tb-mgw is distributed under the terms of the GNU General Public License 

tb-mgw is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

tb-mgw is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with tb-mgw; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Index
// Moregroupware.org

$myEnv["module"] = "webmail2";
$myEnv["output"] = "html";
#$myEnv["debug"] = "ALL";
#$myEnv["debug_to_screen"] = "1";

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
//error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

$smarty->assign("topheight", 67); // 88-21

$width_treeframe = $MGW->settings["wm2_width_treeframe"];
if (is_numeric($width_treeframe) and $width_treeframe > 0) {
  $smarty->assign("width_treeframe", $width_treeframe);
} else {
  $smarty->assign("width_treeframe", 200);
}

$width_mailfolders = $MGW->settings["wm2_width_mailfolders"];
if (is_numeric($width_mailfolders) and $width_mailfolders > 0) {
  $smarty->assign("width_mailfolders", $width_mailfolders);
} else {
  $smarty->assign("width_mailfolders", 100);
}

if ($MGW->settings["wm2_always_hide_sidebar"]) {
  $smarty->assign("width_mailfolders", 0);
}

if (isset($MGW->settings["wm2_show_top_menu"]) and $MGW->settings["wm2_show_top_menu"]) {
  $smarty->assign("wm2_show_top_menu",true);
}

$myvars = array("mbox_id","rightframe","todo");
foreach ($myvars as $thevar) {
  ${$thevar} = (isset($_GET[$thevar])) ? $_GET[$thevar] : (isset($_POST[$thevar]) ? $_POST[$thevar] : "");
}

// #################################################### //
// creating default database mailboxes for POP3 access. //
// #################################################### //

if (!isset($MGW->settings["wm2_disable_public_folders"]) or !$MGW->settings["wm2_disable_public_folders"]) {
  create_boxes(array(array(ucfirst($username),getboxid("public",0,0),0)));
}

create_boxes(array(array("draft",0,$user_id),array("sent",0,$user_id),array("trash",0,$user_id),array("inbox",0,$user_id)));
//create_boxes(array(array("spam",getboxid("trash",0,$user_id),$user_id)));
create_boxes(array(array("spam",0,$user_id)));

/* BEGIN Changes by TK */
// check for quota
mbox_check_for_quota ($user_id);
/* END Changes by TK */

if ($rightframe=="") {$rightframe = "index2.php?&account=0&mbox_id=".$mbox_id."&todo=".$todo;}
$smarty->assign("rightframe", $rightframe."&".SID);


$smarty->assign("myimgpathmaster","templates/default/media");
$smarty->display("index.tpl");
?>
