// I18N constants

// LANG: "pt_br", ENCODING: UTF-8 | ISO-8859-1
// Author: Mihai Bazon, http://dynarch.com/mishoo
// pt_br Translation by Alroger L. Gomes F. - alroger@sdev.com

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)

HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "pt_br",

	tooltips: {
		bold:           "Negrito",
		italic:         "Itálico",
		underline:      "Sublinhado",
		strikethrough:  "Tachado",
		subscript:      "Subescrito",
		superscript:    "Subrescrito",
		justifyleft:    "Alinha à Esquerda",
		justifycenter:  "Centralizar",
		justifyright:   "Alinhar à Direita",
		justifyfull:    "Justificar",
		orderedlist:    "Lista Numerada",
		unorderedlist:  "Lista Marcadores",
		outdent:        "Diminuir Identação",
		indent:         "Aumentar Identação",
		forecolor:      "Cor da Fonte",
		hilitecolor:    "Cor do Fundo",
		horizontalrule: "Linha Horizontal",
		createlink:     "Inserir Link",
		insertimage:    "Inserir Imagem",
		inserttable:    "Inserir Tabela",
		htmlmode:       "Exibir Código-Fonte",
		popupeditor:    "Expandir Editor",
		about:          "Sobre",
		showhelp:       "Ajuda",
		textindicator:  "Estilo Atual",
		undo:           "Desfazer",
		redo:           "Refazer",
		cut:            "Recortar",
		copy:           "Copiar",
		paste:          "Colar",
		lefttoright:    "Direção esquera para direita",
		righttoleft:    "Direção direita para esquera"
	},

	buttons: {
		"ok":           "OK",
		"cancelar":       "Cancelar"
	},

	msg: {
		"Path":         "Path",
		"TEXT_MODE":    "You are in TEXT MODE.  Use the [<>] button to switch back to WYSIWYG.",

		"IE-sucks-full-screen" :
		// translate here
		"The full screen mode is known to cause problems with Internet Explorer, " +
		"due to browser bugs that we weren't able to workaround.  You might experience garbage " +
		"display, lack of editor functions and/or random browser crashes.  If your system is Windows 9x " +
		"it's very likely that you'll get a 'General Protection Fault' and need to reboot.\n\n" +
		"You have been warned.  Please press OK if you still want to try the full screen editor.",

		"Moz-Clipboard" :
		"Unprivileged scripts cannot access Cut/Copy/Paste programatically " +
		"for security reasons.  Click OK to see a technical note at mozilla.org " +
		"which shows you how to allow a script to access the clipboard."
	},

	dialogs: {
		"Cancel"                                            : "Cancel",
		"Insert/Modify Link"                                : "Insert/Modify Link",
		"New window (_blank)"                               : "New window (_blank)",
		"None (use implicit)"                               : "None (use implicit)",
		"OK"                                                : "OK",
		"Other"                                             : "Other",
		"Same frame (_self)"                                : "Same frame (_self)",
		"Target:"                                           : "Target:",
		"Title (tooltip):"                                  : "Title (tooltip):",
		"Top frame (_top)"                                  : "Top frame (_top)",
		"URL:"                                              : "URL:",
		"You must enter the URL where this link points to"  : "You must enter the URL where this link points to"
	}
};
